<?php
namespace config\constants;

class Constants
{
    //客户分级
    public const CUSTOMER_GRADE_INITIAL = 0;     // 初步接触
    public const CUSTOMER_GRADE_COMMUNICATE = 1; // 需求沟通
    public const CUSTOMER_GRADE_PLAN = 2; // 方案推进
    public const CUSTOMER_GRADE_DEAL = 3;   // 成交阶段
    public const CUSTOMER_GRADE_SALES = 4; // 售后阶段
    public const CUSTOMER_GRADE_LOSS = 5; // 停滞或流失

    public const GRADE = [
        self::CUSTOMER_GRADE_INITIAL => '初步接触',
        self::CUSTOMER_GRADE_COMMUNICATE => '需求沟通',
        self::CUSTOMER_GRADE_PLAN => '方案推进',
        self::CUSTOMER_GRADE_DEAL => '成交阶段',
        self::CUSTOMER_GRADE_SALES => '售后阶段',
        self::CUSTOMER_GRADE_LOSS => '停滞或流失',
    ];

    //客户重要性
    public const CUSTOMER_MAGNITUDE_INITIAL = 0;     // 金牌商机
    public const CUSTOMER_MAGNITUDE_COMMUNICATE = 1; // 银牌商机
    public const CUSTOMER_MAGNITUDE_PLAN = 2; // 铜牌商机

    public const MAGNITUDE = [
        self::CUSTOMER_MAGNITUDE_INITIAL => '金牌商机',
        self::CUSTOMER_MAGNITUDE_COMMUNICATE => '银牌商机',
        self::CUSTOMER_MAGNITUDE_PLAN => '铜牌商机',
    ];


    //跟进类型
    public const CUSTOMER_FOLLOW_VISIT = 0;     // 线下拜访
    public const CUSTOMER_FOLLOW_UP = 1; // 线上跟进

    public const FOLLOW = [
        self::CUSTOMER_FOLLOW_VISIT => '线下拜访',
        self::CUSTOMER_FOLLOW_UP => '线上跟进',
    ];

    //跟进类型
    public const CUSTOMER_SEX_UNKNOWN = 0; // 未知
    public const CUSTOMER_SEX_MAN = 1; // 男
    public const CUSTOMER_SEX_WOMAN = 2; // 女

    public const SEX = [
        self::CUSTOMER_SEX_UNKNOWN => '未知',
        self::CUSTOMER_SEX_MAN => '男',
        self::CUSTOMER_SEX_WOMAN => '女',
    ];
}