<?php
/**
 * This file is part of webman.
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the MIT-LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @author    walkor<walkor@workerman.net>
 * @copyright walkor<walkor@workerman.net>
 * @link      http://www.workerman.net/
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

use Webman\Route;

// 拦截所有OPTIONS请求并直接响应
//Route::options('[{path:.+}]', function () {
//    return response('', 204)
//        ->withHeaders(['Content-Type' => 'text/plain']);
//});

// 登录接口
Route::any('/login', [app\controller\UserController::class, 'login'])->middleware([app\middleware\CrossDomain::class]);

// 文件上传接口
Route::post('/upload', [app\controller\UploadController::class, 'upload']);





